Bug 864947 - add support for Xrandr extension
add support for Xrandr extension
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvncserver (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 09:12 EDT by Fabrice Bellet
Modified: 2014-01-15 01:08 EST (History)
3 users (show)

See Also:
Fixed In Version: libvncserver-0.9.9-10.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-31 22:32:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2012-10-10 09:12:02 EDT
It would be great to add support for the Xrandr extension in libvncserver and x11vnc. 

To make it works, it seems that libvncserver needs to be rebuilt with the --with-x11vnc configure option, and the supplementary buildrequires (libX11-devel, libICE-devel, libXext-devel, libXtst-devel, libXrandr-devel, libXinerama-devel, libXfixes-devel, libXdamage-devel,openssl-devel), so LIBVNCSERVER_HAVE_LIBXRANDR is defined in /usr/include/rfb/rfbconfig.h from libvncserver-devel. x11vnc needs to be rebuilt using this libvncserver-devel and the same buildrequires.

I tested this update locally since a couple of days, and it seems stable to me (the tigervnc client correctly resizes the windows when the remote display size is updated).
Comment 1 Pavel Alexeev 2012-10-11 12:19:35 EDT
Sounds good. But first step on libvncserver.
Comment 2 Fedora End Of Life 2013-07-03 22:49:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-12-21 04:05:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Rex Dieter 2013-12-21 07:22:02 EST
gosh, never noticed this before sorry, looks easy enough to fix, though I have to say adding extraneous build dependencies in libvncserver for stuff itself never uses is ... well, not a good approach.  But, that's what upstream is doing. :-/

%changelog
* Sat Dec 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.9.9-10
- include additional dependencies for x11vnc (#864947)
- %%build: --disable-silent-rules
- cleanup spec, drop support for old rpm (el5)

I'll take care of rebuilding x11vnc against this new version in rawhide.


I'd be open to issuing updates for f19/f20 too, if you like (though I would prefer to avoid non-critical updates to f18 at this point).
Comment 5 Fedora Update System 2013-12-28 16:12:23 EST
libvncserver-0.9.9-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libvncserver-0.9.9-10.fc20
Comment 6 Fedora Update System 2013-12-28 16:13:25 EST
libvncserver-0.9.9-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvncserver-0.9.9-10.fc19
Comment 7 Fabrice Bellet 2013-12-28 17:31:34 EST
(In reply to Rex Dieter from comment #4)
> gosh, never noticed this before sorry, looks easy enough to fix, though I
> have to say adding extraneous build dependencies in libvncserver for stuff
> itself never uses is ... well, not a good approach.  But, that's what
> upstream is doing. :-/
> 
> %changelog
> * Sat Dec 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.9.9-10
> - include additional dependencies for x11vnc (#864947)
> - %%build: --disable-silent-rules
> - cleanup spec, drop support for old rpm (el5)
> 
> I'll take care of rebuilding x11vnc against this new version in rawhide.

Thanks for libvncserver! I think x11vnc also needs to be rebuilt with these supplementary dependencies:

from http://kojipkgs.fedoraproject.org//packages/x11vnc/0.9.13/10.fc21/data/logs/x86_64/build.log

> checking for XRRSelectInput in -lXrandr... no
Comment 8 Fedora Update System 2013-12-30 00:04:58 EST
Package libvncserver-0.9.9-10.fc20, x11vnc-0.9.13-11.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvncserver-0.9.9-10.fc20 x11vnc-0.9.13-11.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-24096/x11vnc-0.9.13-11.fc20,libvncserver-0.9.9-10.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-31 22:32:55 EST
libvncserver-0.9.9-10.fc20, x11vnc-0.9.13-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-01-15 01:08:55 EST
libvncserver-0.9.9-10.fc19, x11vnc-0.9.13-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.